function GetCondRegnum(rn)
{
  return 'REG_NUM=\'' + rn + '\'';
}

function disable_regnum() {
  var dc = window.top.document;
  if (dc.all || dc.getElementById) {
    dc.new_sku.SREG_NUM.disabled = true;
  }
}

function check_inn() {
  var dc = window.top.document;
  var inn = dc.new_sku.INN.value;
  if(inn.length >= 10) {
    dc.new_sku.SINN.value = dc.new_sku.INN.value;
    dc.new_sku.SKPP.value = dc.new_sku.KPP.value;
    dc.new_sku.SREG_NUM.value = dc.new_sku.REG_NUM.value;
    disable_regnum();
  }
}

function get_sku_cnt(reccnt) {
  var dc = window.top.document;
  dc.new_sku.sku_cnt.value = reccnt;
}

function OpenSKU() {
  var dc = window.top.document;
  if(dc.new_sku.SREG_NUM.disabled) 
    alert('Вы уже выбрали СКУ!'); 
  else { 
    dicsku.SetWhere(GetCondRegnum(dc.new_sku.SREG_NUM.value) + ' and IS_HIDE=0'); 
    dicsku.SetValue('dyn_sku:№ СКУ', 'dyn_inn:ИНН', 'dyn_kpp:КПП', 'dyn_regnum:Рег. номер'); 
  }
}

function OpenJJP() {
  var dc = window.top.document;
  if(dc.new_sku.SREG_NUM.disabled) 
    alert('Вы уже выбрали СКУ!');
  else {
    if(dc.new_sku.sku_cnt.value == -1) 
      alert('Попробуйте сначала поискать организацию в справочнике СКУ.'); 
    else {
      if(dc.new_sku.sku_cnt.value > 0)
        alert('Организация с таким рег. номером была найдена в справочнике СКУ!');
      else {
        dicjjp.SetWhere(GetCondRegnum(document.new_sku.SREG_NUM.value) + ' and ID_STATE=1 and KPS_NUM=TC_KPS'); 
        dicjjp.SetValue('dyn_jjp:Код', 'dyn_inn:ИНН', 'dyn_kpp:КПП', 'dyn_regnum:Рег. номер');
        if(dc.new_sku.sku_cnt.value == 0) { 
          alert('Организации с таким рег. номером не существует.'); 
          document.new_sku.sku_cnt.value = -1; 
        }
      }
    }
  }
}

function GetSKUData() {
  var dc = window.top.document;
  run('getsku','dyn_callbackSKU',dc.new_sku.sku_num.value);
}

function dyn_callbackSKU(s)
{
  var dc = window.top.document;
  var a = s.split('^');
  dc.new_sku.TYPE.value    = a[0];
  dc.new_sku.OKOPF.value   = a[1];
  dc.new_sku.TAREA.value   = a[2];
  dc.new_sku.NAME.value    = a[3];
  dc.new_sku.BEDCNT.value  = a[4];
  var pr = a[5].split(':');
  for (i=0; i < pr.length; i++) {
    var id_elem = 'prof_' + pr[i];
    dc.getElementById(id_elem).checked = true;
  }
  dc.new_sku.FAX.value     = a[6];
  dc.new_sku.PHONE.value   = a[7];
  dc.new_sku.LZIP.value    = a[8];
  dc.new_sku.LADDR.value   = a[9];
  dc.new_sku.CZIP.value    = a[10];
  dc.new_sku.CADDR.value   = a[11];
  dc.new_sku.CSO.value     = a[12];
  dc.new_sku.FULL.value    = a[13];
  dc.new_sku.RN_KOEF.value = a[14];
}

function GetJJPData() {
  var dc = window.top.document;
  run('getjjp','dyn_callbackJJP',dc.new_sku.jjp_num.value);
}

function dyn_callbackJJP(s)
{
  var dc = window.top.document;
  var a = s.split('^');
  dc.new_sku.OKOPF.value = a[0];
  dc.new_sku.TAREA.value = a[1];
  dc.new_sku.NAME.value  = a[2];
  dc.new_sku.FAX.value   = a[3];
  dc.new_sku.PHONE.value = a[4];
  dc.new_sku.CZIP.value  = a[5];
  dc.new_sku.CADDR.value = a[6];
  dc.new_sku.CSO.value   = a[7];
  dc.new_sku.FULL.value  = a[8];
}
